= Getting help


[IMPORTANT]
====
**__Editors Note__**: This text is currently not edited and not adapted to the new overall structure and text flow. It just indecates the intended content!

It may be left off. It does not really belong in a reference guide
====


This chapter offers some pointers on how to get help when something goes wrong. It also discusses some common installation problems and their solutions.

[[sect-troubleshooting-getting-help]]
== Getting Help

There are many places on the internet which can help you when you encounter a problem not described in this chapter: discussion boards, blogs, IRC, and more. Some of the more popular places where you can find help include:

* link:++https://ask.fedoraproject.org/en/questions/++[Ask Fedora] - Fedora's knowledge base, available in multiple languages

* The #fedora IRC channel on link:++https://libera.chat/++[Libera.Chat] - one of the main IRC channels used by Fedora users, English only

* link:++https://fedoraproject.org/wiki/++[Fedora Project Wiki] - the official wiki for Fedora Project

* link:++https://unix.stackexchange.com/++[Stack Exchange] - an English language Q&A board, not specific to Fedora

[NOTE]
====

The above list is by no means complete - you can find help in many other places as well. Additional information about available resources such as IRC channels and mailing lists is available at link:++https://fedoraproject.org/wiki/Communicating_and_getting_help++[].

====

Before you open a new discussion or ask anyone for help on IRC, you should always do some research on your own. If you are encountering an issue, there is usually a good chance that someone else ran into the same problem before you and published a solution somewhere. Opening a discussion about something already explained elsewhere, or asking a common question which has been answered many times before, is not likely to result in a friendly, constructive response.

When you ask for help troubleshooting problems related to the installation, you may be asked to provide log files generated by the installer. The sections below explain which files are generated, what their contents are, and how to transfer them from the installation system.